# Data Types

### JSON

type | description
--- | ---
AnsibleOutput |
AnsibleResult |
BenchmarkResult |
CloudCredentials |
DeployParameter |
DeployRequest |
DeployResponse |
Key |
KeyPair |
KeyType |
KeyValueHolder |
OwnedObject |
PlanRequest |
PlanResponse |
PlaybookRepresentation |
ProvisionRequest |
ProvisionResponse |
Script |
SysbenchCPUBenchmark |
ToscaRepresentation |
User |

### XML

Default Namespace (schema)
type | description
--- | ---
attribute |
confScript |
confUserKey |
configure |
deploy |
execute |
loginKey0 |
plan |
register |
result |
upload |
cloudCredentials |
deployParameter |
deployRequest |
deployResponse |
key |
keyType |
keyPair |
keyValueHolder |
ownedObject |
planRequest |
planResponse |
playbookRepresentation |
provisionRequest |
provisionResponse |
script |
toscaRepresentation |
user |
ansibleOutput |
benchmarkResult |
sysbenchCPUBenchmark |